<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_InterestExpenseOnClientFunds" xlink:label="iggroupholdingsplc_InterestExpenseOnClientFunds" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_FinancialAssetsPledgedAsCollateralCurrent" xlink:label="iggroupholdingsplc_FinancialAssetsPledgedAsCollateralCurrent" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_GainOnDisposalOfAssociates" xlink:label="iggroupholdingsplc_GainOnDisposalOfAssociates" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_ForeignCurrencyTranslationGainLossAttributableToContinuingOperations" xlink:label="iggroupholdingsplc_ForeignCurrencyTranslationGainLossAttributableToContinuingOperations" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_EmployeeBenefitTrustPurchaseOfOwnShares" xlink:label="iggroupholdingsplc_EmployeeBenefitTrustPurchaseOfOwnShares" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_FinancialAssetsPledgedAsCollateralNoncurrent" xlink:label="iggroupholdingsplc_FinancialAssetsPledgedAsCollateralNoncurrent" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_FinancingFeesPaidClassifiedAsFinancingActivities" xlink:label="iggroupholdingsplc_FinancingFeesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_LossOnDisposalOfSubsidiaries" xlink:label="iggroupholdingsplc_LossOnDisposalOfSubsidiaries" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_NetTradingRevenue" xlink:label="iggroupholdingsplc_NetTradingRevenue" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_ForeignCurrencyTranslationLossAttributableToDisconnectedOperations" xlink:label="iggroupholdingsplc_ForeignCurrencyTranslationLossAttributableToDisconnectedOperations" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_NetCashFlowFromFinancialInvestmentsClassifiedAsInvestingActivities" xlink:label="iggroupholdingsplc_NetCashFlowFromFinancialInvestmentsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_FairValueGainOnConvertibleLoanNote" xlink:label="iggroupholdingsplc_FairValueGainOnConvertibleLoanNote" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_NetOperatingIncome" xlink:label="iggroupholdingsplc_NetOperatingIncome" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_NetProceedsFromIssueOfDebtSecuritiesClassifiedAsFinancingActivities" xlink:label="iggroupholdingsplc_NetProceedsFromIssueOfDebtSecuritiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_InterestIncomeOnClientFunds" xlink:label="iggroupholdingsplc_InterestIncomeOnClientFunds" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_ShareCapitalAndSharePremium" xlink:label="iggroupholdingsplc_ShareCapitalAndSharePremium" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_FinancialInvestmentsCurrent" xlink:label="iggroupholdingsplc_FinancialInvestmentsCurrent" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="iggroupholdingsplc_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="iggroupholdingsplc-2022-05-31.xsd#iggroupholdingsplc_IntroducingPartnerCommissions" xlink:label="iggroupholdingsplc_IntroducingPartnerCommissions" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_IntroducingPartnerCommissions" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcIntroducingPartnerCommissions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_NetTradingRevenue" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcNetTradingRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_InterestIncomeOnClientFunds" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcInterestIncomeOnClientFunds_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_InterestExpenseOnClientFunds" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcInterestExpenseOnClientFunds_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_NetOperatingIncome" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcNetOperatingIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_GainOnDisposalOfAssociates" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcGainOnDisposalOfAssociates_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_LossOnDisposalOfSubsidiaries" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcLossOnDisposalOfSubsidiaries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_FairValueGainOnConvertibleLoanNote" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcFairValueGainOnConvertibleLoanNote_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_ForeignCurrencyTranslationGainLossAttributableToContinuingOperations" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcForeignCurrencyTranslationGainLossAttributableToContinuingOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_ForeignCurrencyTranslationLossAttributableToDisconnectedOperations" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcForeignCurrencyTranslationLossAttributableToDisconnectedOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_FinancialAssetsPledgedAsCollateralNoncurrent" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcFinancialAssetsPledgedAsCollateralNoncurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_FinancialInvestmentsCurrent" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcFinancialInvestmentsCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_FinancialAssetsPledgedAsCollateralCurrent" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcFinancialAssetsPledgedAsCollateralCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_ShareCapitalAndSharePremium" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcShareCapitalAndSharePremium_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_EmployeeBenefitTrustPurchaseOfOwnShares" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcEmployeeBenefitTrustPurchaseOfOwnShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_NetCashFlowFromFinancialInvestmentsClassifiedAsInvestingActivities" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcNetCashFlowFromFinancialInvestmentsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_FinancingFeesPaidClassifiedAsFinancingActivities" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcFinancingFeesPaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcInterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="iggroupholdingsplc_NetProceedsFromIssueOfDebtSecuritiesClassifiedAsFinancingActivities" xlink:to="label_iggroupholdingsplc_iggroupholdingsplcNetProceedsFromIssueOfDebtSecuritiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcIntroducingPartnerCommissions_Standard" id="iggroupholdingsplc_iggroupholdingsplcIntroducingPartnerCommissions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Introducing partner commissions</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcNetTradingRevenue_Standard" id="iggroupholdingsplc_iggroupholdingsplcNetTradingRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net trading revenue</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcInterestIncomeOnClientFunds_Standard" id="iggroupholdingsplc_iggroupholdingsplcInterestIncomeOnClientFunds_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest income on client funds</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcInterestExpenseOnClientFunds_Standard" id="iggroupholdingsplc_iggroupholdingsplcInterestExpenseOnClientFunds_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest expense on client funds</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcNetOperatingIncome_Standard" id="iggroupholdingsplc_iggroupholdingsplcNetOperatingIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net operating income</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcGainOnDisposalOfAssociates_Standard" id="iggroupholdingsplc_iggroupholdingsplcGainOnDisposalOfAssociates_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gain on disposal of associates</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcLossOnDisposalOfSubsidiaries_Standard" id="iggroupholdingsplc_iggroupholdingsplcLossOnDisposalOfSubsidiaries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loss on disposal of subsidiaries</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcFairValueGainOnConvertibleLoanNote_Standard" id="iggroupholdingsplc_iggroupholdingsplcFairValueGainOnConvertibleLoanNote_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value gain on convertible loan note</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcForeignCurrencyTranslationGainLossAttributableToContinuingOperations_Standard" id="iggroupholdingsplc_iggroupholdingsplcForeignCurrencyTranslationGainLossAttributableToContinuingOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Foreign currency translation gain (loss) attributable to continuing operations</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcForeignCurrencyTranslationLossAttributableToDisconnectedOperations_Standard" id="iggroupholdingsplc_iggroupholdingsplcForeignCurrencyTranslationLossAttributableToDisconnectedOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Foreign currency translation (loss) attributable to disconnected operations</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcFinancialAssetsPledgedAsCollateralNoncurrent_Standard" id="iggroupholdingsplc_iggroupholdingsplcFinancialAssetsPledgedAsCollateralNoncurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial assets pledged as collateral, non-current</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcFinancialInvestmentsCurrent_Standard" id="iggroupholdingsplc_iggroupholdingsplcFinancialInvestmentsCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial investments, current</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcFinancialAssetsPledgedAsCollateralCurrent_Standard" id="iggroupholdingsplc_iggroupholdingsplcFinancialAssetsPledgedAsCollateralCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial assets pledged as collateral, current</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcShareCapitalAndSharePremium_Standard" id="iggroupholdingsplc_iggroupholdingsplcShareCapitalAndSharePremium_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share capital and share premium</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcEmployeeBenefitTrustPurchaseOfOwnShares_Standard" id="iggroupholdingsplc_iggroupholdingsplcEmployeeBenefitTrustPurchaseOfOwnShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Employee Benefit Trust purchase of own shares</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcNetCashFlowFromFinancialInvestmentsClassifiedAsInvestingActivities_Standard" id="iggroupholdingsplc_iggroupholdingsplcNetCashFlowFromFinancialInvestmentsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash flow from financial investments, classified as investing activities</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcFinancingFeesPaidClassifiedAsFinancingActivities_Standard" id="iggroupholdingsplc_iggroupholdingsplcFinancingFeesPaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financing fees paid, classified as financing activities</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcInterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" id="iggroupholdingsplc_iggroupholdingsplcInterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest paid on lease liabilities, classified as financing activities</label>
    <label xlink:label="label_iggroupholdingsplc_iggroupholdingsplcNetProceedsFromIssueOfDebtSecuritiesClassifiedAsFinancingActivities_Standard" id="iggroupholdingsplc_iggroupholdingsplcNetProceedsFromIssueOfDebtSecuritiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net proceeds from issue of debt securities, classified as financing activities</label>
  </labelLink>
</linkbase>